Redmine - Patch #684

Add journal count on issues list
2008-02-18 09:26 - jinwoo lee

Status: New Start date: 2008-02-18
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Issues list Estimated time: 0.00 hour
Target version:

Description

| think that viewing journal count is better than nothing.

Because it is easy to understand issues's activity.

so | make this patch.

Related issues:

Related to Redmine - Feature #38567: Enable to display notes count on issues ... New

Is duplicate of Redmine - Feature #733: Journal count on issue list Closed 2008-02-25
Has duplicate Redmine - Feature #27541: New optional column for issue list: n... Closed

History

#1 - 2008-02-25 18:45 - Jean-Philippe Lang

I think it would be much more efficient if a cache column was added on the issues table (eg. journals_count).

#2 - 2008-03-20 09:06 - jinwoo lee

So sorry, answer too late.
| agree your suggestion.

If column add on the issues table, it was following effect.

e decrease unnecessary query (related journal select)
* more clear design

#3 - 2012-12-18 07:57 - Daniel Felix

Well, this would be nice to have. Sometimes it helps to find "hot-topics" by ordering journal_count descending.

But | agree, a fixed column, which is just updated everytime a new note is added, would be much more efficient than calculating this value each time

the list is displayed. :-)

#4 - 2015-10-04 13:25 - Go MAEDA

- Related to deleted (Feature #733: Journal count on issue list)

#5 - 2015-10-04 13:25 - Go MAEDA

- Is duplicate of Feature #733: Journal count on issue list added

#6 - 2017-11-20 06:36 - Go MAEDA

- Has duplicate Feature #27541: New optional column for issue list: number of comments/updates added

#7 - 2017-11-20 06:36 - Go MAEDA

- Category changed from Issues to Issues filter

#8 - 2019-11-10 05:06 - Go MAEDA

- Category changed from Issues filter to Issues list

#9 - 2020-02-19 15:43 - Florian ROBERT

+1, | have user requests on this feature

#10 - 2020-02-19 21:46 - Marius BALTEANU
Florian ROBERT wrote:

+1, I have user requests on this feature

We should count only the journals with notes? or all journals?

#11 - 2020-02-20 01:12 - Go MAEDA
Marius BALTEANU wrote:

We should count only the journals with notes? or all journals?
I think it should be the number of all journals.
Activities such as adding attachments without note and changing the target version are also important information to see the issue's activity.

#12 - 2023-03-31 10:08 - Mitsuyoshi Kawabata

+1

#13 - 2024-06-13 06:59 - Go MAEDA
- Related to Feature #38567: Enable to display notes count on issues list added

Files

view_journal_count.diff 986 Bytes 2008-02-18 jinwoo lee

2025-05-02 22


http://www.tcpdf.org

